Displaying 4 results from an estimated 4 matches for "3b0fca4".
2016 Mar 08
1
[PATCH] sleuthkit availability check renamed
...ional = Some "icat";
+ optional = Some "sleuthkit";
progress = true; cancellable = true;
shortdesc = "download a file to the local machine given its inode";
longdesc = "\
diff --git a/tests/tsk/test-icat.sh b/tests/tsk/test-icat.sh
index e1fdc5a..3b0fca4 100755
--- a/tests/tsk/test-icat.sh
+++ b/tests/tsk/test-icat.sh
@@ -28,7 +28,7 @@ fi
rm -f test-mft.bin
# Skip if TSK is not supported by the appliance.
-if ! guestfish add /dev/null : run : available "icat"; then
+if ! guestfish add /dev/null : run : available "sleuthkit";...
2016 Mar 30
0
[PATCH 1/3] Rename icat command in download_inode
...ft.bin
+EOF
+
+# test extracted file is the Master File Table
+if [ `head -c 5 test-mft.bin` != "FILE0" ]; then
+ echo "$0: wrong file extracted."
+ exit 1
+fi
+
+rm -f test-mft.bin
diff --git a/tests/tsk/test-icat.sh b/tests/tsk/test-icat.sh
deleted file mode 100755
index 3b0fca4..0000000
--- a/tests/tsk/test-icat.sh
+++ /dev/null
@@ -1,53 +0,0 @@
-#!/bin/bash -
-# libguestfs
-# Copyright (C) 2016 Red Hat Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Softwar...
2016 Mar 29
3
[PATCH 0/2] rename icat API as download_inode
"icat" name comes from the employed command line tool which might be replaced later on with a different implementation.
The command name is a bit confusing because it's similar to "cat" but act as "donwload". Therefore I am renaming it with a more clear name.
At the same time I cleaned up a bit the code and improved it's readability and code comments.
This
2016 Mar 30
4
[PATCH 0/3] rename icat API into download_inode
The command name is a bit confusing because it's similar to "cat" but act as "donwload". Therefore I am renaming it with a more clear name.
At the same go I cleaned up a bit the code following the standards and improved the API documentation.
This patch is ready for review.
Code available at:
https://github.com/noxdafox/libguestfs/tree/download_inode
Matteo Cafasso (3):